void expire_write_current_status(char *msg);
int split_check(int g);
int expire_pile_sort(int i);
void expire_findlost(void);
void ex_stat_add(char *name, int n);
void expire_tracemid(char *s);
void expire_resort(void);
void expire_clear(void);
int expire_isgiveup(void);
char *expire_subj(void);
int expire_pile_unread(int i);
int expire_unread_pile(void);
void expire_set_start(void);
int expire_pile_nopen(int i);
int expire_pile_base(int i);
int expire_pile_nopen(int i);
int expire_npiles_nf(void);
int expire_htopile(int i);
int expire_pile_nopen(int i);

void expire_setresort(void);
void expire_setfindlost(void);
void expire_setreindex(void);
int refeed_line(char *s);
void expire_reindex(void);
void expire_setrefeed(int f);
void expire_setlinks(void);
char *expire_getmode(void);
void expire_upgrade(void)   ;
void expire_purgelost(void);
int expire_toold(char *dte);
String *expire_status(void);
void expire_start(void);
void expire_line(char *h);
int expire_item(int g, int num, int arrived, int expires);
void expire_rules(int g);
void expire_load(void);
void expire_upto(char *rec);
void expire_set(char *rec);
void expire_remember(char *s);
void expire_total(char *s);
void expire_do(void);
void expire_setpurge(void);
void expire_setupgrade(void);
int expire_upgrading(void);
int expire_getremember(void);